Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Labelling

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23425
Description

It appears as though when using the rule based labelling option for labelling features in QGIS (2.16), any modifications using the
expression builder are not retained.

Process as follows:

Using a point dataset from PostGIS, and the rule based labelling for Labels.

My rule says ("CLASSIFICA" = 'Woodland Or Forest' AND "FONTHEIGHT" = 'Small'), with this | also have a scale range included.

When | try to change this (for example to “FONTHEIGHT” = ‘Medium’), | click on the browse button next to ‘Test’, | then manually alter the
text within my expression from ‘Small’ to ‘Medium’.

| OK this - back at the ‘Edit rule window’, | do see that the text has changed to ‘Medium’, | then click OK but back at my rule based
labelling screen the text still says ‘Small’.

If | decide to change the expression from the ‘Edit rule’ window and not open the expression builder, it does retain the change, so there
looks to be an issue (from my set up anyway) where it is not storing any changes within the expression window.

History

#1 - 2016-08-30 02:32 AM - Saber Razmjooei
- Category set to Labelling

#2 - 2016-08-30 02:38 AM - Chris Buckmaster
- Assignee set to Nathan Woodrow

#3 - 2017-05-01 01:03 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#4 - 2019-01-22 04:33 AM - Nyall Dawson

- Description updated
- Status changed from Open to Feedback

Is this still an issue in 3.4?

#5 - 2019-01-22 10:22 AM - Chris Buckmaster
Nyall Dawson wrote:

Is this still an issue in 3.4?

I can confirm this issue no longer occurs in 3.4 (testing with 3.4.4).

#6 - 2019-01-22 10:38 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
